Package org.eclipse.cdt.utils.pty

## Class PTY.MasterFD

- java.lang.Object
- - org.eclipse.cdt.utils.pty.PTY.MasterFD

Enclosing class:
  PTY

    public class PTY.MasterFD
    extends Object

The master fd is used on two streams. We need to wrap the fd so that when stream.close() is called the other stream is disabled.

### Constructor Summary

Constructors
`MasterFD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFD()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MasterFD

    public MasterFD()

### Method Detail

#### getFD

    public int getFD()